Skip to main content
GET
/
preferences
/
sections
/
{section_id}
/
topics
/
{topic_id}
JavaScript
import Courier from '@trycourier/courier';

const client = new Courier({
  apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});

const workspacePreferenceTopicGetResponse = await client.workspacePreferences.topics.retrieve(
  'topic_id',
  { section_id: 'section_id' },
);

console.log(workspacePreferenceTopicGetResponse.id);
import os
from courier import Courier

client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
workspace_preference_topic_get_response = client.workspace_preferences.topics.retrieve(
topic_id="topic_id",
section_id="section_id",
)
print(workspace_preference_topic_get_response.id)
package main

import (
"context"
"fmt"

"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)

func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
workspacePreferenceTopicGetResponse, err := client.WorkspacePreferences.Topics.Get(
context.TODO(),
"topic_id",
courier.WorkspacePreferenceTopicGetParams{
SectionID: "section_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", workspacePreferenceTopicGetResponse.ID)
}
package com.courier.example;

import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.workspacepreferences.WorkspacePreferenceTopicGetResponse;
import com.courier.models.workspacepreferences.topics.TopicRetrieveParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();

TopicRetrieveParams params = TopicRetrieveParams.builder()
.sectionId("section_id")
.topicId("topic_id")
.build();
WorkspacePreferenceTopicGetResponse workspacePreferenceTopicGetResponse = client.workspacePreferences().topics().retrieve(params);
}
}
require "courier"

courier = Courier::Client.new(api_key: "My API Key")

workspace_preference_topic_get_response = courier.workspace_preferences.topics.retrieve("topic_id", section_id: "section_id")

puts(workspace_preference_topic_get_response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Courier\Client;
use Courier\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');

try {
$workspacePreferenceTopicGetResponse = $client
->workspacePreferences
->topics
->retrieve('topic_id', sectionID: 'section_id');

var_dump($workspacePreferenceTopicGetResponse);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using TryCourier;
using TryCourier.Models.WorkspacePreferences.Topics;

CourierClient client = new();

TopicRetrieveParams parameters = new()
{
SectionID = "section_id",
TopicID = "topic_id",
};

var workspacePreferenceTopicGetResponse = await client.WorkspacePreferences.Topics.Retrieve(parameters);

Console.WriteLine(workspacePreferenceTopicGetResponse);
courier workspace-preferences:topics retrieve \
--api-key 'My API Key' \
--section-id section_id \
--topic-id topic_id
curl --request GET \
--url https://api.courier.com/preferences/sections/{section_id}/topics/{topic_id} \
--header 'Authorization: Bearer <token>'
{
  "id": "pt_01kx4h2jdafq8bk99mj9q2gsa2",
  "name": "Product Updates",
  "default_status": "OPTED_OUT",
  "routing_options": [
    "direct_message"
  ],
  "allowed_preferences": [
    "snooze"
  ],
  "include_unsubscribe_header": true,
  "topic_data": {},
  "created": "2024-01-15T10:30:00.000Z",
  "creator": "user_123",
  "updated": "2024-01-15T10:30:00.000Z",
  "updater": "user_123"
}
{
"message": "Example message text",
"type": "invalid_request_error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

section_id
string
required

Id of the workspace preference.

topic_id
string
required

Id of the subscription preference topic.

Response

A subscription preference topic in your workspace.

id
string
required

The preference topic id.

name
string
required

Human-readable name.

default_status
enum<string>
required

The default subscription status applied when a recipient has not set their own.

Available options:
OPTED_OUT,
OPTED_IN,
REQUIRED
routing_options
enum<string>[]
required

Default channels delivered for this topic. May be empty.

Available options:
direct_message,
email,
push,
sms,
webhook,
inbox
allowed_preferences
enum<string>[]
required

Preference controls a recipient may customize. May be empty.

A preference control a recipient may customize for a topic.

Available options:
snooze,
channel_preferences
include_unsubscribe_header
boolean
required

Whether a list-unsubscribe header is included on emails for this topic.

topic_data
object
required

Arbitrary metadata associated with the topic.

created
string
required

ISO-8601 timestamp of when the topic was created.

updated
string
required

ISO-8601 timestamp of the last update.

description
string | null

Optional description shown under the topic on the hosted preferences page.

creator
string | null

Id of the creator.

updater
string | null

Id of the last updater.